// site-footer styles

.site-footer {
    background:$darkgreen;
    font-family:$primaryfont;
    letter-spacing: 1px;
    position: relative;
    z-index: 100;
    ul {
        @extend %list-unstyled;
        li {
          a {
            text-decoration: none;
            color: $white;
          }
          span {
            font-weight:$bold;
            color: $white;
          }
        }
    }
    &__line {
        margin: 20px 0 30px;
        max-height: 27px;
        img {
            // position: absolute;
            // top: 0;
            // left: 0;
            @include image-cover;
            object-position: center right;
        }
    }

    &__title {
        color: $white;
        font-size: calc-em(18px);
        font-weight: $semi-bold;
        text-decoration: none;
        display: inline-block;
  
        &:hover, &:focus {
            h3 {
                color: $green;
            }
        }

        h3 {
            color: $white;
        }
    }

    &__nav {
        margin-bottom: 35px;
        > ul {
            display: block;
        }
        
        > ul > li {
  
            > a, > span {
                margin: 0 0 10px;
                display: inline-block;
                font-size: calc-em(15px);
                font-weight: $normal;
                letter-spacing: 1px;
            }
  
            > a:hover, > a:focus {
                color: $lightgreen;
            }
        }
  
        > li {
            a {
                font-weight:$bold;
                color: $white;

                &:hover, &:focus {
                    color: $green;
                }
            }
        }
    }
    &__common {
        margin: 25px 0 20px;
        display: inline-flex;
        margin: 0 0 0 auto;
        .common-links {
            display: inline-flex;
            align-items: center;
            margin: auto 0 0;
            li {
                margin-bottom: 10px;
        
                a {
                    color: $white;
                    font-weight: $normal;
                    letter-spacing: 1px;
                    display: inline-block;
                    line-height: 0;
        
                    &:hover, &:focus {
                        .icon {
                            color: $lightgreen;
                        }
                    }
                }
                .icon {
                    font-size: calc-em(28px); 
                    color: $white;
                    transition: color 500ms ease;
                }
            }
        }
    }
    &__sub {
        display: inline-flex;
        width: 100%;
        padding-bottom: 10px;
    }
    &__subscribe {
        display: inline-block;
        p {
            font-size: calc-em(14px);
        }
        input {
            color: $darkgreen;
            padding: 14px 15px;
            font-size: calc-em(14px);
            border:0;
            min-width: 300px;

            &::placeholder {
                color: #C7C7C7;
            }
        }

        &-wrap {
            display: inline-flex;
            align-items: center;
        }

        .btn {
            margin-left: 20px;
            border-radius: 2px;
            padding: 11px 35px;

            &:hover {
                &:before {
                    border-radius: 0;
                }
            }
        }
    }
    &__top {
        padding: 20px 0 0;
        float: none;
        clear: both;
    }
    &__bottom {
        &-wrap {
            display: inline-flex;
            align-items: baseline;
            width: 100%;
        }
    }

    &__panel {
        padding: 10px 0 35px;
        ul {
            li {
                margin-bottom: 15px;
                border-right: 1px solid $white;
                padding-right: 15px;
                padding-left: 15px;
                &:last-child {
                    border: 0;
                    padding-right: 0;
                }

                a {
                    color: $white;
                    font-weight: $normal;
                    display: inline-block;
                    line-height: 12px;

                    &:hover, &:focus {
                        color: $lightgreen;
                    }
                }
            }
        }
    }
    &__end-note {
        margin: 15px 0;
        letter-spacing: 1px;
        small {
            color: $white;
            font-size: calc-em(13px);
            line-height: 20px;
            font-weight: $light;
            display: block;
        }
    } 
}
@media only screen and (min-width: $bpTablet) {
    .site-footer {
        &__nav {
            width: 100%;

            > ul {
                display: flex;
            }
            > ul > li {
                // width: (100% / 6);
                padding: 0 40px 0 0;
            }
        }
        
        &__common {
            text-align: right;
    
            .common-links {
                margin-right: 0;
    
                li {
                    display: inline-block;
                    margin: 0 0 0 25px;
        
                }
            }

        }
        &__panel {
            width:50%;
            text-align: right;
      
            ul {
                li {
                    display: inline-flex;
                    padding-top: 2px;
                    padding-bottom: 2px;
        
                    a {
                        color: $white;
                        font-size: calc-em(13px);
                    }
                }
            }
        }
        &__end-note {
            display: inline-block;
            margin:10px 0 25px auto;
            width:50%;
        }
    }
}

@media only screen and (max-width: $bpTablet - 1) {
    .site-footer {
        &__line {
            margin: 50px 0 30px;
            height: 26px;
        }
        &__title {

            h3 {
                margin: 10px 0 15px;
                font-size: calc-em(18px);
                line-height: calc-em(26px);
                
            }
        }
        &__top {
            padding: 15px 0 40px;
        }
        &__bottom {
            padding: 25px 0 0;
            
            position: relative;
            border-top: 2px solid $white;
            margin-top: 25px;
            display: block;

            >.container {
                flex-direction: column-reverse;
                display: inline-flex;
            }

            &-wrap {
                flex-direction: column-reverse;
            }
           
        }
        &__nav {
            display: block;
            margin-bottom: 0;
            
            ul {
                width:100%;

                li {
                    margin-bottom: 20px;

                    a {
                        font-size: calc-em(16px);
                        font-weight: $normal;
                        margin-bottom: 0;
                    }
                }
            }
        }

        &__common {
            margin: 15px 0 0;
            width: 100%;
            .common-links {
                justify-content: normal;
                width: auto;
                margin: 0;
            }
            .common-links li {
                margin-bottom: 0;
                padding: 0 25px 0 0;

                &:last-child {
                    margin: 0;
                }
            }
        }

        &__panel {
            padding: 0;
            ul {
                display: inline-flex;
                align-items: center;
            }
            ul li {
                padding: 2px 10px;
                display: inline-flex;

                a {
                    font-size: calc-em(12px);
                    line-height: 12px;
                    display: inline-block;
                }
            }
        }

        &__end-note {
            width: 100%;
            margin:0;
            text-align: center;
        }

        &__subscribe-wrap {
            display: block;
        }

        &__subscribe .btn {
            margin: 10px 0 0;
            padding: 8px 45px;
        }

        &__subscribe input {
            min-width: 260px;
        }

        &__sub {
            display: block;
            padding-bottom: 0px;
        }

    }
}
